# Ogre::IntersectionSceneQueryResult Struct Reference

Holds the results of an intersection scene query (pair values). More...

`#include <OgreSceneQuery.h>`

List of all members.

## Public Attributes

SceneQueryMovableIntersectionList | movables2movables
| List of movable / movable intersections (entities, particle systems etc).
SceneQueryMovableWorldFragmentIntersectionList | movables2world
| List of movable / world intersections.

## Detailed Description

Holds the results of an intersection scene query (pair values).

Definition at line 470 of file OgreSceneQuery.h.

## Member Data Documentation

SceneQueryMovableIntersectionList Ogre::IntersectionSceneQueryResult::movables2movables

| List of movable / movable intersections (entities, particle systems etc). Definition at line 473 of file OgreSceneQuery.h.

SceneQueryMovableWorldFragmentIntersectionList Ogre::IntersectionSceneQueryResult::movables2world

| List of movable / world intersections. Definition at line 475 of file OgreSceneQuery.h.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:39:41 2005